import numpy as np
import cv2
import argparse
import imutils

def applyTransformationMatrix(image, H, defaultBorder=[0,0,0]):
	result = cv2.warpPerspective(image, H,
			(image.shape[1] * 2, image.shape[0] * 2), borderValue=defaultBorder)
	return result

if __name__ == '__main__':
	ap = argparse.ArgumentParser()
	ap.add_argument("-i", "--image", required=True,
		help="path to the first image")
	ap.add_argument("-m", "--matrix", required=True,
		help="path to h matrix")
	args = vars(ap.parse_args())

	# load the two images and resize them to have a width of 400 pixels
	# (for faster processing)
	imageFile = cv2.imread(args["image"])
	matH = np.loadtxt(args["matrix"])

	print(matH)

	#imageFile = imutils.resize(imageFile, width=400)

	newImage = applyTransformationMatrix(imageFile, matH)

	cv2.imshow("Original", imageFile)
	cv2.imshow("Warp", newImage)

	cv2.imwrite("warp.png", newImage)

	cv2.waitKey(0)